Sisimai::Reason::Delivered(3pm)

NAME
Sisimai::Reason::Delivered - Email delivered successfully

SYNOPSIS
    use Sisimai::Reason::Delivered;
    print Sisimai::Reason::Delivered->text; # delivered

DESCRIPTION
Sisimai::Reason::Delivered checks the email you sent is delivered successfully or not by matching diagnostic messages with message patterns. Sisimai will set "delivered" to the value of "reason" when Status: field in the bounce message begins with "2" like following:

    Final-Recipient: rfc822; kijitora@neko.nyaan.jp
    Action: delivered
    Status: 2.1.5
    Diagnostic-Code: SMTP; 250 2.1.5 OK

This class is called only Sisimai->reason method. This is NOT AN ERROR reason.

CLASS METHODS

  "text()"
text() returns string: "delivered".

    print Sisimai::Reason::Delivered->text;  # delivered

  "match(string)"
match() always return undef

  "true(Sisimai::Fact)"
true() always return undef

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2016,2020,2021 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.